io_wantwrite(3)

NAME
io_wantwrite - signal that you want to write to a descriptor

SYNTAX
#include <libowfat/io.h> void io_wantwrite(int64 fd);

DESCRIPTION
io_wantwrite tells the next io_wait() that you want to write to this descriptor. Call io_dontwantwrite() again if you change your mind. The next time you call io_wait(), it will look whether this descriptor becomes writeable, too. You can then use io_canwrite() to check whether the descriptor has become writable. You have to have called io_fd on the descriptor first (io_pipe and io_socketpair do this for you). Waiting on descriptors only works for sockets, fifos and pipes. It may also work on devices and TTYs, but that is platform dependent -- you should not rely on that.

SEE ALSO
io_wait(3), io_canwrite(3), io_wantwrite(3), io_fd(3)